## fcitx-table-extra 0.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-table-extra NONE)

find_package(Fcitx 4.2.8.4 REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

_fcitx_add_uninstall_target()

add_subdirectory(po)
add_subdirectory(icons)
add_subdirectory(tables)

=== icons/CMakeLists.txt ===
set(ICON48
  fcitx-cantonese.png fcitx-cantonhk.png fcitx-jyutping.png fcitx-quick3.png
  fcitx-quick5.png fcitx-quick-classic.png fcitx-scj6.png fcitx-stroke5.png
  fcitx-wu.png)
set(ICON64
  fcitx-t9.png fcitx-boshiamy.png fcitx-easy-big.png fcitx-array30.png
  fcitx-array30-big.png fcitx-zhengma.png)

install(FILES
    ${ICON64}
    DESTINATION share/icons/hicolor/64x64/apps)

install(FILES
    ${ICON48}
    DESTINATION share/icons/hicolor/48x48/apps)

foreach(icon ${ICON48} ${ICON64})
    string(REPLACE "fcitx-" "" icon_new ${icon})
    install(FILES ${icon} RENAME ${icon_new} DESTINATION share/fcitx/imicon)
endforeach()

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-table-extra fcitx-table-extra.pot)

=== tables/CMakeLists.txt ===
set(TABLE_NAME
  boshiamy zhengma cangjie3 cangjie5 cangjie-big
  quick3 quick5 quick-classic
  scj6 easy-big wu cantonese cantonhk jyutping stroke5 array30 array30-big
  wubi-large zhengma-large
  t9
  )

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAME})
  fcitx_translate_add_apply_source("${table}.conf.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
  fcitx_translate_add_sources("${table}.conf.in")
  add_custom_command(OUTPUT "${table}.mb"
    DEPENDS "${table}.txt"
    COMMAND "${TXT2MB}" ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
  set(MB_FILE ${MB_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
  set(CONF_FILE ${CONF_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
endforeach()
add_custom_target(table_data ALL DEPENDS ${MB_FILE})

install(FILES ${CONF_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)
install(FILES ${MB_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)

=== debian/changelog ===
fcitx-table-extra (0.3.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112904)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:50:42 +0300

fcitx-table-extra (0.3.8-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian 11.
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jan 2021 22:10:49 -0500

fcitx-table-extra (0.3.8-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update maintainer field and use debian-input-method mailing list.
      Closes: #899961.
    + Update uploaders email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use git repo on Salsa Debian group.
    + Update homepage field and use the repo on GitLab.com.
      Closes: #742120.
  * debian/patches: Backport upstream translation updates till 2017-10-19.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Sep 2018 15:29:43 -0400

fcitx-table-extra (0.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.1.1.
    + Bump debhelper compat to v10.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
    + d/rules: use dh_missing --fail-missing.
    + d/copyright: refresh headers.
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 31 Oct 2017 15:46:59 +0800

=== debian/control ===
Source: fcitx-table-extra
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin (>= 1:4.2.9),
 fcitx-libs-dev (>= 1:4.2.9),
 fcitx-tools (>= 1:4.2.9),
 intltool,
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx-table-extra
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-table-extra.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-table-extra

Package: fcitx-table-array30
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Array30 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30 table used by the Fcitx table engine.

Package: fcitx-table-array30-big
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Array30-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30-Big table used by the Fcitx table engine.

Package: fcitx-table-boshiamy
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Boshiamy table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Boshiamy table used by the Fcitx table engine.

Package: fcitx-table-cangjie-big
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Cangjie-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie-Big table used by the Fcitx table engine.

Package: fcitx-table-cangjie3
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Cangjie3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie3 table used by the Fcitx table engine.

Package: fcitx-table-cangjie5
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Cangjie5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie5 table used by the Fcitx table engine.

Package: fcitx-table-cantonese
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Cantonese table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonese table used by the Fcitx table engine.

Package: fcitx-table-cantonhk
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Cantonhk table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonhk table used by the Fcitx table engine.

Package: fcitx-table-easy-big
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Easy-Big table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Easy-Big table used by the Fcitx table engine.

Package: fcitx-table-jyutping
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Jyutping table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Jyutping table used by the Fcitx table engine.

Package: fcitx-table-quick-classic
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Quick-Classic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick-Classic table used by the Fcitx table engine.

Package: fcitx-table-quick3
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Quick3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick3 table used by the Fcitx table engine.

Package: fcitx-table-quick5
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Quick5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick5 table used by the Fcitx table engine.

Package: fcitx-table-scj6
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Scj6 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Scj6 table used by the Fcitx table engine.

Package: fcitx-table-stroke5
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - Stroke5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Stroke5 table used by the Fcitx table engine.

Package: fcitx-table-t9
Architecture: all
Depends:
 fcitx-table (>= 1:4.2.6),
 ${misc:Depends},
Description: Flexible Input Method Framework - T9 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	# Removing translation files that's not used
	find . -name *.mo -delete

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-table-extra/ \
 fcitx-table-extra-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
